Bug 120553 - FC2 TR2 Fails to boot on Shuttle SN41G2
Summary: FC2 TR2 Fails to boot on Shuttle SN41G2
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: rawhide
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-10 17:28 UTC by Kalle Kittelson
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: FC2-TR3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 17:03:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kalle Kittelson 2004-04-10 17:28:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
After install, and a reboot, the boot process displays pages and pages
of error messages, eventually hanging in what seems to be an infinite
loop.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Load Fedora Core 2, Test Release 2
2.Reboot
 

Actual Results:  After install, and a reboot, the boot process hangs
in what appears to be an infinite loop.  Here's a sample message that
eventually is displayed on the screen:

INIT: Id "2" respawning too fast: disabled for 5 minutes
audit(1081617221.366:0) avc: denied { getattr } for pid=1
exe=/sbin/init path=/dev/initctl dev=hda7 ino=567904
scontext=system_u:system_r:kernel_t tcontext=system_u:object_r:file_t
tclass=chr_file

this message will loop with "{ write }" and "{ read write }" as well.
 I've gone into "rescue mode" and changed the run level to 3, and 2. 
This makes no difference.  I've also tried starting the kernel with
nousb, and nofirewire.

Expected Results:  A clean startup... although I didn't expect the GUI
to be able to start, as is didn't in FC1.  Who decided to do away with
the "text/Graphical startup" option in the installer?  I don't like
booting into the gui, and it's a pain when I need to boot into
"rescue" mode to change inittab's runlevel to 3 every time I reinstall.

Additional info:

Here are the specs of my system:

Shuttle SN41G2 (nforce2 chipset based)
Athlon 2800+
1GB RAM
Radeon 9800pro
120GB Samsung ATA100 HD
8x4x32 BTC DVD+-/RW+-
Logitech MX cordless Duo
18" LCD display attached via DVI

I thought that it might be the nforce chipset, so I attempted to
rebuild the driver src rpm under rescue mode, but wasn't able to.

Comment 1 Bill Nottingham 2004-04-13 04:16:17 UTC
This appears to be your filesystem not getting labelled. What
filesystem did you install on?

Comment 2 Kalle Kittelson 2004-04-13 12:56:17 UTC
I installed with EXT3... here's how my partitions are laid out:

1) 99GB (windows)
2) 2GB (windows swap)
3) 20GB (Fedora)

Comment 3 Kalle Kittelson 2004-04-19 05:20:59 UTC
Any thoughts??

Comment 4 Alan Cox 2004-05-03 12:21:12 UTC
Other than "does test3" work - nope.

Comment 5 Kalle Kittelson 2004-05-03 16:58:34 UTC
Test 3 does work... I installed it last night.  So whatever it was,
got fixed.  I'm now struggling through some src rpm rebuilding issues,
but that should be in another ticket.  

Thanks for the effort!
-Kalle

Comment 6 Kalle Kittelson 2004-05-03 17:01:57 UTC
I'd also like to thank whomever fixed the issue which was preventing
me from automatically booting into KDE after the initial install. :) 
It was nice not to need to go into rescue-mode to change the boot
runlevel... for some reason I've always had that issue with my ATI
cards.  Ah well.  You saved me a reboot. :)  I still don't like
booting into the GUI, but I'm more than happy to have it set that way
as default if I can change the run level to multiuser mode without
much hassle. 


Note You need to log in before you can comment on or make changes to this bug.